%define _unpackaged_files_terminate_build	1

%define module_name	zaptel
%define module_version	1.4
%define module_release	alt2.132626.2

%define kversion	2.6.18
%define krelease	alt2
%define flavour	wks-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

%define kernel_headers_dir %_prefix/src/linux-%kversion-%flavour-%krelease
%define module_headers_dir %kernel_headers_dir/drivers/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires: zaptel

ExclusiveOS: Linux
Url: http://www.asterisk.org/index.php?menu=download

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name >= 1.4
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

Patch: zaptel-inode_diet.patch

%description
Zaptel modules, that needed for all Digium hardware, and some compatible
devices for telephony.

%package -n kernel-headers-%module_name-%flavour
Summary: zaptel driver headers
Group: Development/Kernel
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease
Provides: kernel-headers-%module_name-%kversion-%flavour-%krelease = %version-%release

%description -n kernel-headers-%module_name-%flavour
This package contains zaptel driver headers and other files needed for
compiling kernel modules which interface with zaptel drivers.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%if "%flavour" == "wks-smp"
%patch
%endif

%build
pushd zaptel
export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour
subst s!-I/usr/src/linux-2.4/!-I%_usrsrc/linux-%kversion-%flavour!g Makefile
subst s!^KINCLUDES=.*$/!KINCLUDES=%_usrsrc/linux-%kversion-%flavour!g Makefile
subst 's! # ztdummy! ztdummy!' Makefile
subst 's!PRIMARY=.*!PRIMARY=ztdummy!' Makefile

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

./configure
#make version.h
#make tones.h tor2fw.h radfw.h
make \
	KVERS=%kversion \
	KSRC=%_usrsrc/linux-%kversion-%flavour 

#make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .` modules \
popd	
%install
pushd zaptel
make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .` INSTALL_MOD_PATH=%buildroot/%module_dir modules_install

mv %buildroot/%module_dir/lib/modules/*/extra/* %buildroot/%module_dir/
rmdir %buildroot/%module_dir/lib/modules/*/extra
rmdir %buildroot/%module_dir/lib/modules/*
rmdir %buildroot/%module_dir/lib/modules
rmdir %buildroot/%module_dir/lib

mkdir -p %buildroot%module_headers_dir
cp -p biquad.h ecdis.h fasthdlc.h tonezone.h zaptel.h zconfig.h zaptel-base.c \
	%buildroot%module_headers_dir/

echo "%name = %version-%release" \
	> %buildroot%kernel_headers_dir/kernel-modules-%module_name.release

sed -e 's|%_builddir/||' < Module.symvers \
	> %buildroot%kernel_headers_dir/kernel-modules-%module_name.symvers

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%dir %module_dir
%module_dir/pciradio.ko
%module_dir/tor2.ko
%exclude %module_dir/torisa.ko
%module_dir/wcfxo.ko
%module_dir/wct1xxp.ko
%module_dir/wctdm.ko
%module_dir/wctdm24xxp.ko
%module_dir/wcte11xp.ko
%module_dir/wcusb.ko
%module_dir/zaptel.ko
%module_dir/ztd-eth.ko
%module_dir/ztd-loc.ko
%module_dir/ztdummy.ko
%module_dir/ztdynamic.ko
%module_dir/zttranscode.ko
#module_dir/ztcodec_dte/ztcodec_dte.ko
%module_dir/wcte12xp.ko

%dir %module_dir/wctc4xxp
%module_dir/wctc4xxp/wctc4xxp.ko

%dir %module_dir/wct4xxp
%module_dir/wct4xxp/wct4xxp.ko

%dir %module_dir/xpp
%module_dir/xpp/xpd_fxo.ko
%module_dir/xpp/xpd_fxs.ko
%module_dir/xpp/xpp.ko
%module_dir/xpp/xpp_usb.ko

%files -n kernel-headers-%module_name-%flavour
%module_headers_dir
%kernel_headers_dir/kernel-modules-%module_name.release
%kernel_headers_dir/kernel-modules-%module_name.symvers

%changelog
* Sun Apr 15 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt2.132626.2
- build x86_64 version too

* Sat Mar 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt1.132626.2
- update to last zaptel 1.4 branch

* Mon Feb 26 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4-alt0.132626.2
- update to last zaptel 1.4 branch

* Sun Feb 25 2007 L.A. Kostis <lakostis@altlinux.ru> 1.3-alt20.132626.2
- fix for -mm changes in wks-smp kernel.

* Sat Feb 24 2007 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt19.132626.2
- Added kernel-headers-%%module_name-%%flavour subpackage with files required
  to build driver modules for zaptel separately from this package.

* Thu Feb 22 2007 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt18.132626.2
- build without cronyx modules (moved to separate package)

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt17.132626.2
- Removed unneeded "Prereq: modutils".

* Fri Oct 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt16.132626.2
- fix building

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt15.132626.2
- Restore async support in cronyx drivers which was disabled in 1.3-alt10.*
  (these drivers have been updated for compatibility with the 2.6.16 tty layer)

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt14.132626.2
- Fix build with kernel-source-zaptel-1.3-alt0.9.20060907:
  + remove explicit build of vpm450m_fw.h
  + pass INSTALL_MOD_PATH to "make modules_install" for cronyx
  + fix path to installed cronyx modules for new makefile
  + update %%files for new module locations

* Sat Aug 19 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt13.132626.2
- add requires to zaptel

* Mon Jul 03 2006 Denis Smirnov <mithraen@altlinux.ru> 1.3-alt12.132626.2
- zaptel update

* Fri May 26 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt11.132626.2
- zaptel svn update
- bump kernel-source-zaptel version in BuildRequires
- install xpp modules added in new zaptel

* Sat Mar 18 2006 Sergey Vlasov <vsu@altlinux.ru> 1.3-alt10.132626.2
- Disable async support in cronyx drivers when compiling for kernel 2.6.16 or
  later (cronyx drivers need updating for tty layer changes in 2.6.16).

* Mon Feb 13 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt9.132626.2
- zaptel svn update

* Thu Feb 02 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt8.132626.2
- zaphfc added from bristuff

* Sun Jan 29 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt7.132626.2
- zaptel update
- echo suppressor date dump/restore

* Mon Jan 09 2006 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt6.132626.2
- zaptel update

* Sat Dec 24 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt5.132626.2
- update cronyx modules to 5.0.1
- fix spinlocks

* Tue Dec 20 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt4.132626.2
- fix spinlocks

* Mon Dec 19 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt2.132626.2
- cronyx modules can be disabled when building

* Mon Dec 12 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2-alt1.132626.2
- update for 2.6.14
- patch ztdummy for working more accurate

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt10.132626.2
- MG2 echo suppressor added and used by default

* Thu Oct 27 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt9.132626.2
- fix some packaging bugs

* Sat Aug 13 2005 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt4.132626.2
- added support for Cronyx E1 cards
- version update

* Thu Dec 30 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2.132626.2
- Rebuild for kernel 2.6.10

* Fri Dec 17 2004 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.132626.2
- first build

